<template>
  <v-app dark>
    <!-- Nav Items -->
    <v-navigation-drawer
      app
      v-model="drawer"
    >

      <div class="pt-2 pl-2">
        <v-btn text icon large @click="drawer = !drawer" color="white" :style="{background: '#4CAF50'}">
          <v-icon large>clear</v-icon>
        </v-btn>
      </div>

      <v-list>
        <v-list-item
          v-for="(item, i) in items"
          :key="i"
          :to="item.to"
          router
          exact
        >
          <v-list-item-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title v-text="item.title" />
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <!-- END Nav Items -->

    <!-- Nav Bar -->
    <v-app-bar
      app
      color="green"
    >
      <v-app-bar-nav-icon @click.stop="drawer = !drawer" />
      <v-toolbar-title v-text="title" />
      <v-spacer />

      <!-- TEST 1: LOGGED IN DROP DOWN -->
      <!-- <template v-if="$auth.$state.loggedIn">
        <div class="text-center">
          <v-menu offset-y>
            <template v-slot:activator="{ on }">
              <span>{{ $auth.user.name }}</span>
              <v-icon>account_circle</v-icon>
              <v-btn
                dark
                v-on="on"
                icon
              >
                <v-avatar v-if="$auth.user.picture">
                  <img
                    :src="picture"
                    alt="Google Account Picture"
                  >
                </v-avatar>

                <v-icon v-else>account_circle</v-icon>
              </v-btn>
            </template>

            <v-list>
              <v-list-item link>
                <v-list-item-title @click="$auth.logout()">Logout</v-list-item-title>
                <v-list-item-content>
                  <v-list-item-title @click="$auth.logout()" v-text="'Logout'" />
                </v-list-item-content>
              </v-list-item>
            </v-list>

          </v-menu>
        </div>
      </template> -->

      <!-- TEST 2: LOGGED IN DROP DOWN -->
      <!-- <template v-if="$auth.$state.loggedIn">
        <div class="text-center">
          <v-menu offset-y>
            <template v-slot:activator="{ on }">

              <span v-on="on" :style="{ cursor: 'pointer'}">
                {{ $auth.user.name }}
                <v-icon>arrow_drop_down</v-icon>
              </span>

              <v-avatar v-if="$auth.user.picture">
                <img
                  :src="picture"
                  alt="Google Account Picture"
                >
              </v-avatar>
              <v-icon v-else>account_circle</v-icon>
            </template>

            <v-list>
              <v-list-item link>
                <v-list-item-title @click="$auth.logout()">Logout</v-list-item-title>
                <v-list-item-content>
                  <v-list-item-title @click="$auth.logout()" v-text="'Logout'" />
                </v-list-item-content>
              </v-list-item>
            </v-list>

          </v-menu>
        </div>
      </template> -->

      <!-- TEST 3: LOGGED IN DROP DOWN -->
      <template v-if="$auth.$state.loggedIn">
        <div class="text-center">
          <v-menu offset-y>
            <template v-slot:activator="{ on }">

              <span v-on="on" :style="{ cursor: 'pointer'}">
                {{ $auth.user.name }}
                <v-icon>arrow_drop_down</v-icon>
              </span>

              <v-avatar v-if="$auth.user.picture">
                <img
                  :src="picture"
                  alt="Google Account Picture"
                >
              </v-avatar>
              <v-icon v-else>account_circle</v-icon>
            </template>

            <v-list>
              <v-list-item link>
                <v-list-item-title @click="$auth.logout()">Logout</v-list-item-title>
                <v-list-item-content>
                  <v-list-item-title @click="$auth.logout()" v-text="'Logout'" />
                </v-list-item-content>
              </v-list-item>
            </v-list>

          </v-menu>
        </div>
      </template>

      <template v-else>
        <v-btn to="/login" color="primary">Login</v-btn>
      </template>

    </v-app-bar>

    <!-- Main Content -->
    <v-content>
      <v-container>
        <nuxt />
      </v-container>
    </v-content>
    <!-- END Main Content-->

  </v-app>
</template>

<script>
import dotProp from 'dotprop'

export default {
  data () {
    return {
      drawer: false,
      items: [
        {
          icon: 'apps',
          title: 'Welcome',
          to: '/'
        },
        {
          icon: 'bubble_chart',
          title: 'Inspire',
          to: '/inspire'
        },
        {
          icon: 'lock_open',
          title: 'Login',
          to: '/login'
        }
      ],
      title: 'Motlow Book Exchange'
    }
  },
  computed: {
    picture() {
      return  dotProp(this.$auth.user, 'picture') ||  // OpenID ie. Google
              dotProp(this.$auth.user, 'picture.data.url') || // Facebook graph API
              dotProp(this.$auth.user, 'avatar_url') // GitHub
    }
  }
}
</script>
